<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: confirm.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: confirm.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>const cart = document.querySelector('tbody')
const orderRecup = sessionStorage.getItem("orderId")
const orderIdDiv = document.getElementById('order-id')
const orderProducts = JSON.parse(orderRecup).products
let totalPrice = 0

/**
 * Fonction qui affiche le récapitulatif de la commande:
 *      - Affiche le numéro de commande
 *      - Créé le tableau des produits achetés avec le prix total
 *      - Affiche les coordonnées du client
 */

const showConfirm = () => {
    //Affichage du numéro de commande généré par l'API
    orderIdDiv.innerText = JSON.parse(orderRecup).orderId
    //Affichage des produits achetés sous forme de tableau
    for (let i = 0; i &lt; orderProducts.length; i++) {
        const productsCart= sessionStorage.getItem("myCart")
        const cartContent = JSON.parse(productsCart)
        cart.innerHTML +=   `&lt;tr>
                                &lt;td class="name col-3">${cartContent[i].name}&lt;/td>
                                &lt;td class="col-3">${cartContent[i].color}&lt;/td>
                                &lt;td class="quantity number col-3">${cartContent[i].quantity}&lt;/td>
                                &lt;td class="number col-3">${cartContent[i].price / 100},00€&lt;/td>
                            &lt;/tr>
                            `
        totalPrice += Number(cartContent[i].price)
        
    }
    //Affichage du prix total de la commande
    const showTotalPrice = document.querySelector('tfoot')
    showTotalPrice.innerHTML = `&lt;td>&lt;/td>
                                 &lt;td>&lt;/td>
                                 &lt;td>Total&lt;/td>
                                 &lt;td class="number col-3">${totalPrice / 100},00€&lt;/td>`
    //Affichage des coordonnées du client
    const orderContact = (JSON.parse(orderRecup)).contact
    const contact = document.getElementById('contact')
    
    contact.innerHTML = `&lt;p>${orderContact.lastName} ${orderContact.firstName}&lt;/p>
                        &lt;p>${orderContact.email}&lt;/p>
                        &lt;p>${orderContact.address}&lt;/p>
                        &lt;p>${orderContact.city}&lt;/p>`
    sessionStorage.clear()
}

showConfirm()</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Projet 5 - Orinoco</a></h2><h3>Global</h3><ul><li><a href="global.html#addCart">addCart</a></li><li><a href="global.html#createCards">createCards</a></li><li><a href="global.html#deleteItems">deleteItems</a></li><li><a href="global.html#requestFetch">requestFetch</a></li><li><a href="global.html#sendFormRequest">sendFormRequest</a></li><li><a href="global.html#showConfirm">showConfirm</a></li><li><a href="global.html#showProduct">showProduct</a></li><li><a href="global.html#showShopCart">showShopCart</a></li><li><a href="global.html#testFormConform">testFormConform</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed Sep 15 2021 06:12:13 GMT+0200 (heure normale d’Afrique méridionale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
